define(["three", "sceneManager", "camera", "resources", "renderer", "musicManager", "sceneIntro", "timeline"],
    function(THREE, sceneManager, camera, resources, renderer, musicManager, sceneIntro, timeline) {
        var app = {
            init: function() {
                timeline.init();
                musicManager.init(function() {
                    musicManager.play();
                    sceneManager.setScene(sceneIntro);
                    sceneManager.animate(0);
                });
                console.log("media");
                musicManager.load("assets/sound/soundtrack.mp3");
            }
        };
        return app;
    });
